/************************************************
 THIS COMMAND FILE ILLUSTRATES HOW TO USE LAG
 FUNCTIONS IN A SAS DATA STEP.

 FILENAME: LAG.SAS
*************************************************/
OPTIONS FORMCHAR="|----|+|---+=|-/\<>*";

options nodate pageno=1;
title;

data time;
  do time=1 to 10;
     x = int(ranuni(217)*100);
	 lagx  = lag1(x);
	 lagx2 = lag2(x);
	 lagx3 = lag3(x);
	 lagx4 = lag4(x);
	 output;
  end;
run;
proc print;
run;

/*LAG VARIABLE WITHIN A BY GROUP*/

/*****************************************
 FIRST CREATE A FAKE DATA SET, USING
  A DATA STEP AND A DO LOOP
******************************************/
data dental;
 input subject    visit    cavities    plaque;
cards;
    1        1          0          2
    1        2          7          1
    1        3          7          0
    1        4          7          2
    1        5          4          2
    2        1          2          1
    2        2          0          0
    2        3          2          0
    2        4          4          3
    2        5          1          0
    3        1          9          3
    3        2          3          2
    3        3          6          1
    3        4          2          3
    3        5          5          0
;

proc print data=dental;
 title "Printout of Original Dental Data Set";
run;

proc sort data=dental;
  by subject visit;
run;

data dental2;
  set dental;
  by subject;

  /*Create the Lagged variable First!!*/
  prevcav = lag(cavities);
  prevplaque = lag(plaque); 

  if first.subject then do;
        prevcav=.;
		prevplaque=.;
  end;

  diff_cav = cavities - prevcav;
  diff_plaque = plaque - prevplaque;
 
run;

proc print data=dental2;
 title "Printout of Dental2 Data Set";
run;
