
/************************************************************
  USING THE GLIMMIX MACRO TO ESTIMATE A RANDOM EFFECTS MODEL
  FOR A BINARY DEPENDENT VARIABLE
**************************************************************/

/*IMPORT THE BMI.XLS EXCEL FILE*/
PROC IMPORT OUT= WORK.bmi 
            DATAFILE= "bmi.xls" 
            DBMS=EXCEL2000 REPLACE;
     GETNAMES=YES;
RUN;
proc means data=bmi;
run;
proc freq data=bmi;
  tables time*cig;
run;

filename glmm "glimmix.sas";
%include glmm;

%glimmix(data=bmi, procopt=noclprint,
   stmts=%str(
  class id time sex;
  model cig  = time sex age/ solution;
  repeated time / subject=id type=cs;
  lsmeans time / cl diff;),
  error=binomial
   )

