/*********************************************
THIS MACRO SELECTS n RANDOM SAMPLES FROM THE
EMPLOYEE DATASET, AND MERGES (OR STACKS) THE
RESULTING SAMPLE FILES TOGETHER.

 File = macro_random_sample.sas
**********************************************/
OPTIONS FORMCHAR="|----|+|---+=|-/\<>*";
options mprint;

libname mylib "C:\";

%macro sampler1(n);
%let filenames= ;
%do i=1 %to &n;
	proc surveyselect data = mylib.employee 
				  method = SRS 
				  sampsize = 25
				  out = employee_s&i;
   		id _all_;
	run;

	%let filenames=&filenames employee_s&i;
	%put &filenames;

data employee_s&I;
  set employee_s&I;
  _sample_ = &I;
run;

%end;

data merged;
	set &filenames;
run;

proc datasets;
  delete &filenames;
run; quit;

%mend;
%sampler1(4);


proc means data=merged;
  class _sample_;
run;
