
/*************************************************
 SEPARATE COMMAND FILE FOR MACRO PROGRAMS IN SAS.

 FILE = manylogits1_2.sas
**************************************************/
%macro many_logits1(num);
  %do i = 1 %to &num;
  title "The dependent variable is dep&i";
  proc logistic data=a descending;
      model dep&i = ind1 ind2;
    run;
  %end;
  %put &i;
%mend; 

%macro many_logits2(dep_list);
  %let k=1;
  %let dep = %scan(&dep_list, &k);
  %do %while("&dep" NE "");
    title "The dependent variable is &dep";
    proc logistic data=a des;
      model &dep = ind1 ind2;
    run;
    %let k = %eval(&k + 1);
    %let dep = %scan(&dep_list, &k);
  %end;
%mend;
