/*****************************************
 Generate New Variables in a SAS Data Step
 filename: newvars.sas
******************************************/

libname sasdata2 "c:\users\kwelch\desktop\sasdata2";

data sasdata2.employee2;
  set sasdata2.employee;
  currentyear=2005;
  alpha ="A"; 
  sept11 = "11SEP2001"D; 
  format Sept11 mmddyy10.;
  saldiff = salary - salbegin;
  if (salary >= 0 and salary <= 25000) then salcat = "C"; 
  if (salary > 25000 & salary <= 50000) then salcat = "B";
  if (salary > 50000) then salcat = "A";

  if salary not=. and jobcat not=. then do;
      if (salary < 50000 & jobcat = 3) then manlowsal = 1; 
      else manlowsal = 0;
  end;

  format bdate mmddyy10. salary salbegin dollar12.;

if gender="f" then female=1;
if gender="m" then female=0;

if jobcat not=. then do;
   jobdum1 = (jobcat=1);
   jobdum2 = (jobcat=2);
   jobdum3 = (jobcat=3);
end;

nmiss = nmiss(of educ--salbegin);
salmean = mean(salary, salbegin);
run;

proc print data=sasdata2.employee2(obs=50);
run;
