/*********************************************
 THIS COMMAND FILE SHOWS HOW TO USE A 
   PERMANENT SAS DATA SET.

 FILENAME:  USEPERM.SAS
**********************************************/
OPTIONS FORMCHAR="|----|+|---+=|-/\<>*";

/*USE PERMANENT SAS DATA SETS*/

/*ASSIGN THE LIBNAME*/
/*Change the location of the folder to match
  what is correct for your computer. 
  Note: the folder must already exist*/

libname sasdata2 "C:\Users\kwelch\Desktop\sasdata2";

/*ANALYZE THE DATA. YOU MUST SPECIFY THE
  FULL DATASET NAME FOR EACH PROCEDURE*/

title "Using permanent datasets";
proc means data=sasdata2.cars;
run;
proc print data=sasdata2.cars; 
run;
proc freq data=sasdata2.cars;
  tables origin;
run;

/*ASSIGN MULTIPLE LIBRARIES IN THE SAME SESSION*/
libname sasdata2 "C:\Users\kwelch\Desktop\sasdata2";
libname inclass "C:\Users\kwelch\Desktop\inclass";

/*ASSIGN A LIBRARY USING THE NEW LIBRARY ICON*/


/*CREATE A TEMPORARY SAS DATA SET 
  FROM A PERMANENT ONE*/

libname sasdata2 V9 "C:\Users\kwelch\Desktop\sasdata2";
data business;
  set sasdata2.business; 
run;
title "Business data set";
proc means data=business; 
run;

/*You can use the full path to the file name,
  without using a library*/
data iris;
  set "C:\Users\kwelch\Desktop\sasdata2\iris.sas7bdat";
run;

title "Iris data set";
proc means data=iris;
run;
proc print data=iris;
run;


/*RESAVE THE PERMANENT DATASET*/
data sasdata2.business; 
	set business;
run;


/*HOW TO DE-ASSIGN A LIBRARY*/

libname sasdata2 clear;
