/************************************************                                                                                       
 THIS COMMAND FILE ILLUSTRATES HOW TO WRITE OUT
 RAW DATA USING A DATA STEP AND HOW TO USE THE
 EXPORT WIZARD TO WRITE OUT AN EXCEL FILE 
                                                                                                                                        
 FILENAME: WRITEDATA.SAS                                                                                                                 
*************************************************/   

libname sasdata2 "C:\Documents and Settings\Kathy\Desktop\sasdata2";
data iris;
  set sasdata2.iris;
run;

/*WRITE RAW DATA SEPARATED BY BLANKS*/

data _null_;
  set iris;
  file "iris.dat";
  put  sepallen
 sepalwid
 petallen
 petalwid
 species;
run;

/*WRITE RAW DATA SEPARATED BY TABS*/

data _null_;
  set iris;
  file "iris.txt" dlm="09"X ;
  put  sepallen
 sepalwid
 petallen
 petalwid
 species;
run;

/*WRITE RAW DATA SEPARATED BY COMMAS*/
data _null_;
  set iris;
  file "iris.csv" dlm=",";
  put  sepallen
 sepalwid
 petallen
 petalwid
 species;
run;

/*WRITE RAW DATA INTO SPECIFIED COLUMNS*/
data _null_;
  set iris;
  file "iris_column.dat";
  put species  1-10
      sepallen 12-15
      sepalwid 17-20
	  petallen 22-25
	  petalwid 27-30;
run;

/*WRITE RAW DATA INTO SPECIFIED COLUMNS
  SHORTCUT METHOD*/      
data _null_;
  set iris;
  file "iris_column2.dat" ;
  put  (sepallen sepalwid petallen petalwid) (4.) @18 species $10.;
run;


/*Export the data to Excel using 
  The Export Wizard. These Commands
  were saved after exporting*/

PROC EXPORT DATA= WORK.IRIS 
            OUTFILE= "iris.xls" 
            DBMS=EXCEL REPLACE;
     SHEET="sheet1"; 
RUN;

